
//check if value is numeric
function IsNumeric(strString) {
	var strValidChars = "0123456789.";
	var strChar;
	var blnResult = true;
	
	if (strString.length == 0) return false;
	
	//check if strString consists of valid characters listed above
	for (i = 0; i < strString.length && blnResult == true; i++) {
		strChar = strString.charAt(i);
		if (strValidChars.indexOf(strChar) == -1) {
			blnResult = false;
		}
	}
	return blnResult;
}


/*-------------------------CURRENCIES CONVERTER------------------------------*/

//function that converts amount from currency to currency and prints result
function convert_curr(cur1, cur1_name, cur2, cur2_name, amount, textAlign, textAlignOtherSide, template) {
	cur1_name = cur1_name.substring(0,3);
	cur2_name = cur2_name.substring(0,3);
	var background = $('#background_color_div').css('background-color');
	if(IsNumeric(amount)!=false) {
		/*$("#msg_container").removeClass().show('fast');
		$("#msgbox").removeClass().addClass('messagebox').text('Calculating..').fadeIn(1000);
		$("#msgbox2").html(' ');
		$("#msgbox3").html(' ');*/
		$("#msgbox").hide(); //hide old HTML
		$("#calculating").fadeIn(100); //show Loading message
		
		/*
		$.post('js/ajax_func.php', {action: 'convert_currencies', cur1: cur1, cur2:cur2, amount:amount}, function(data) {
			//var result = parseFloat(amount)*(parseFloat(cur1)/cur2));
			//result=Math.round(result*100)/100;
			$("#msgbox").fadeTo(200,0.1,function() {
				//var background = '#fff';
				if(data=='error') {
					$(this).html('Error Occured!').removeClass().addClass('messageboxerror_with_border').fadeTo(900,1);
				} else {
					$(this).html('<span class="arial_18_b" style="background-color:'+background+';">'+amount + ' ' + cur1_name + ' = ' + data + ' ' + cur2_name+'</span>').addClass('vertical arial_18_b').removeClass().fadeTo(900,1);
				}
			});
	
		});		
		*/
		var params_data = 'action=convert_currencies&cur1=' + cur1 + '&cur2=' + cur2 + '&amount=' + amount;
		$.ajax({
			url: "js/ajax_func.php",
			type: "POST",
			data: params_data,
			dataType: ($.browser.msie) ? "text" : "xml",
			success: function(data){			
				
				var xml;
				if (typeof data == "string") {
					xml = new ActiveXObject("Microsoft.XMLDOM");
					xml.async = false;
					xml.loadXML(data);				
				} else {
					xml = data;
				}						
				
				var rate = 0;			
				var rate_basic = 0;
				var rate_basic_reverse = 0;
				
				$("response", xml).each(function(){			
	
					rate = $("rate", this).text();				
					rate_basic = $("rate_basic", this).text();
					rate_basic_reverse = $("rate_basic_reverse", this).text();				
					
				});				
				// Update Rate Result
				$("#msgbox").fadeTo(200,0.1,function() {
					//var background = '#fff';
					if(data=='error') {
						$(this).html('Error Occured!').removeClass().addClass('messageboxerror_with_border').fadeTo(900,1);
					} else {
						var html = '';
						//PREPARE HTML FOR TEMPLATES 1 AND 2
						if(template==1 || template==2) {
							html += '<table cellpadding="0" cellspacing="0" style="text-align:center;width:100%;">';
								html += '<tr>';
									html += '<td style="text-align:'+textAlignOtherSide+';" class="arial_18_b" nowrap="nowrap"><span style="background-color:'+background+';">'+amount+' '+cur1_name+'</span></td>';
									html += '<td style="text-align:center;" class="arial_18_b"><span style="background-color:'+background+';">&nbsp;=&nbsp;</span></td>';
									html += '<td style="text-align:'+textAlign+';" class="arial_18_b" nowrap="nowrap"><span style="background-color:'+background+';">'+rate + ' ' + cur2_name+'</span></td>';
								html += '</tr>';
								html += '<tr>';
									html += '<td style="text-align:'+textAlignOtherSide+';" nowrap="nowrap"><span style="background-color:'+background+'; font-size:12px;font-weight:normal;">1 ' + cur1_name + ' = ' + rate_basic + ' ' + cur2_name+'</span></td>';
									html += '<td>&nbsp;</td>';
									html += '<td style="text-align:'+textAlign+';" nowrap="nowrap"><span style="background-color:'+background+'; font-size:12px;font-weight:normal;">1 ' + cur2_name + ' = ' + rate_basic_reverse + ' ' + cur1_name+'</span></td>';
								html += '</tr>';
							html += '</table>';
						} else if(template==3) {
						//PREPARE HTML FOR TEMPLATE 3
							html += '<table cellpadding="0" cellspacing="0" style="text-align:center;width:100%;">';
//								html += '<tr>';
//									html += '<td style="text-align:'+textAlignOtherSide+';" class="arial_15_b"><span style="background-color:'+background+';">'+cur1_name+'<br>'+amount+'</span></td>';
//									html += '<td style="text-align:center;" class="arial_15_b"><span style="background-color:'+background+';">&nbsp;=&nbsp;</span></td>';
//									html += '<td style="text-align:'+textAlign+';" class="arial_15_b"><span style="background-color:'+background+';">'+cur2_name+'<br>'+rate+'</span></td>';
//								html += '</tr>';
								html += '<tr>';
									html += '<td style="text-align:center;" class="arial_15_b"><span style="background-color:'+background+';">'+amount+'</span></td>';
									html += '<td style="text-align:center;" class="arial_15_b"><span style="background-color:'+background+';">&nbsp;=&nbsp;</span></td>';
									html += '<td style="text-align:center;" class="arial_15_b"><span style="background-color:'+background+';">'+rate+'</span></td>';
								html += '</tr>';
								html += '<tr>';
									html += '<td style="text-align:center;" class="arial_13_b"><span style="background-color:'+background+';">'+cur1_name+'</span></td>';
									html += '<td style="text-align:center;"><span style="background-color:'+background+';">&nbsp;&nbsp;</span></td>';
									html += '<td style="text-align:center;" class="arial_13_b"><span style="background-color:'+background+';">'+cur2_name+'</span></td>';
								html += '</tr>';
								html += '<tr>';
									html += '<td style="text-align:'+textAlignOtherSide+';" nowrap="nowrap"><span style="background-color:'+background+';font-size:11px;font-weight:normal;">1 ' + cur1_name + '</span></td>';
									html += '<td style="text-align:center;" nowrap="nowrap"><span style="background-color:'+background+';font-size:11px;font-weight:normal;">&nbsp;=&nbsp;</span></td>';
									html += '<td style="text-align:'+textAlign+';" nowrap="nowrap"><span style="background-color:'+background+';font-size:11px;font-weight:normal;">' + rate_basic + ' ' + cur2_name+'</span></td>';
								html += '</tr>';
								html += '<tr>';
									html += '<td style="text-align:'+textAlignOtherSide+';" nowrap="nowrap"><span style="background-color:'+background+'; font-size:11px;font-weight:normal;">1 ' + cur2_name + '</span></td>';
									html += '<td style="text-align:center;" nowrap="nowrap"><span style="background-color:'+background+'; font-size:11px;font-weight:normal;">&nbsp;=&nbsp;</span></td>';
									html += '<td style="text-align:'+textAlign+';" nowrap="nowrap"><span style="background-color:'+background+'; font-size:11px;font-weight:normal;">' + rate_basic_reverse + ' ' + cur1_name+'</span></td>';
								html += '</tr>';
							html += '</table>';
						}
						$("#calculating").hide(); //hide the Loading div
						$(this).html(html).fadeIn(100).fadeTo(300,1); //Show prepared HTML with answer
						
						/*$(this).html('<span style="background-color:'+background+';" class="arial_15_b">'+amount + ' ' + cur1_name + ' = ' + rate + ' ' + cur2_name+'</span>').addClass('vertical arial_18_b').removeClass().fadeTo(900,1);						
						$("#msgbox2").html('<span style="background-color:'+background+'; font-size:12px;">1 ' + cur1_name + ' = ' + rate_basic + ' ' + cur2_name+'</span>').addClass('vertical arial_18_b').removeClass().fadeTo(900,1);
						$("#msgbox3").html('<span style="background-color:'+background+'; font-size:12px;">1 ' + cur2_name + ' = ' + rate_basic_reverse + ' ' + cur1_name+'</span>').addClass('vertical arial_18_b').removeClass().fadeTo(900,1);
						*/
					}
				});
				
			}
		});

	} else {
		$("#msgbox").fadeTo(200,0.1,function() {
			$(this).html('Wrong amount!').removeClass().addClass('messageboxerror_with_border').fadeTo(900,1);
		});
	}
}
/*-------------------------CURRENCIES CONVERTER------------------------------*/